We have detected that cookies are not enabled on your browser. Please enable cookies to ensure the proper experience.
Results 1 to 1 of 1
  1. #1
    Join Date
    Jul 2020
    Posts
    1,925

    Free Version of WINE which will run LOTRO in MacOS Catalina and newer.

    If you follow the threads here in the Mac Technical Support forum, you are probably already aware that:
    –The "Mac Download" version of LOTRO is packaged with a very old version of WINE which cannot run the current 64-bit game client.
    –The 32-bit game client, while it is still working for some people (but not for me and others), will "soon" be retired and unable to connect to the servers.
    –Free open-source WINE will run LOTRO only in versions of MacOS which include 32-bit application support, which means MacOS 10.14 Mojave or earlier.
    –Not-free Crossover, a commercial product from Codeweavers, will run LOTRO in any version of MacOS from MacOS 10.13 High Sierra to the latest version, MacOS 13 Ventura.

    I have been aware for a long time that Codeweavers is one of the main contributors to the open-source WINE project and they make most of their underlying Crossover code freely available. I have known that there are people who have compiled versions of WINE which include the necessary 32-bit to 64-bit conversion layer needed for the 32-bit LOTRO processes (the LOTRO Launcher application, mainly). However, I was not aware until recently that a trusted source of such WINE builds was making those builds publicly available.

    WINE developer "gcenx" has built and is making publicly available a version of WINE 7.0 which is built on the latest Codeweavers code for Crossover 22.0.1. This is not some "pirate" operation or theft, Codeweavers makes their underlying WINE code available for the WINE project specifically for purposes like this and to have their code incorporated into future official public builds of WINE. Furthermore, I am confident – based on my testing – that builds from gcenx are functional and include only those changes he documents in his builds.

    I have tested gcenx's public build of Crossover 22.0.1's open-source WINE version, and it successfully launches and runs LOTRO in my Ventura boot volume. This version of WINE is built for versions of MacOS from Catalina and up; it will not work with versions of MacOS from Mojave and down. LOTRO players booting Mojave should use the latest wine-stable as installed by Homebrew (which as I write this is WINE 7.0 although WINE 8.0 is imminent). LOTRO players booting High Sierra (or earlier) really should upgrade to Mojave but if they can't there is another solution which is beyond the scope of this thread. The build of WINE from gcenx based on the Crossover 22.0.1 WINE code is for users of MacOS versions 10.15 Catalina, 11 Big Sur, 12 Monterey, and 13 Ventura.

    I will provide full instructions for this specific installation later. For now, follow the instructions I provide in this thread...
    https://forums.lotro.com/forums/show...pler-procedure
    ...and when you reach Step D1 use this Terminal command instead:
    Code:
    brew install --cask --no-quarantine gcenx/wine/wine-crossover
    –You can install this on the same boot volume which includes an installation of LOTRO using SSG's "Mac Download".
    –You can install this on the same boot volume which includes an installation of LOTRO using Crossover.
    –You can install this on a boot volume that doesn't have LOTRO installed at all, although the steps needed to install LOTRO after that using the "Windows Download" are beyond the scope of this thread.

    IMPORTANT NOTE #1:
    The version of WINE installed using Homebrew from "gcenx/wine/wine-crossover" defaults to the vulkan backend for DirectX. The vulkan backend works very well but for some hardware there is an incompatibility between DirectX 11 and Antialiasing. It might work just fine for your specific Mac hardware; if so, great! If you get a "blank red screen" but can hear the sound after the client launches, your hardware is not compatible with the vulkan backend with Antialiasing enabled in DirectX 11. If this happens, wait until you hear the music that plays at the character creation/selection screen and then hit the ESCAPE key followed by the RETURN key – this will safely quit you out of the game client. You will then have to choose whether to keep Antialiasing enabled in which case you will have to use DirectX 9; or disable Antialiasing so you can use DirectX 11. If I had to make this choice for myself, I would choose Antialiasing enabled (I am fine with 2x) in DirectX 9. You can make these changes by editing your ~/Documents/The Lord of the Rings Online/UserPreferences.ini file using TextEdit. There might be a way to use DXVK instead of vulkan but I have not yet worked out a user-friendly way of doing so; once I am able to do so I will post those instructions because for many Mac users DXVK is more compatible with their graphics hardware and allows them to use both DirectX 11 and Antialiasing without issue.

    IMPORTANT NOTE #2:
    Apple SOC Macs (i.e. those using M1 and M2 processors) use different memory registers. Crossover runs LOTRO great on Apple SOC Macs! However, it is possible that this version of free open-source WINE based on the Crossover WINE code will not work on Apple SOC Macs at all. Or if it does run it will not run LOTRO or it will not run LOTRO as well as Crossover itself. I do not have an Apple SOC Mac available to perform any testing, both my Macs have Intel processors and I have no plans to get new Macs for several years still.

    I still think Crossover is the best choice thanks to its easy installation and simple graphic user interface that does not require any use of the Terminal, in addition to its superior functionality. However, this version of WINE is a reasonable solution for those LOTRO players using modern Macs with a recent version of MacOS for whom the cost of Crossover is a major impediment to adoption.
    Last edited by Tralfazz; Jan 25 2023 at 02:15 PM. Reason: spelling correction

 

 

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

This form's session has expired. You need to reload the page.

Reload